Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1055759

Summary: Parameter GRUB_DISABLE_RECOVERY doesn't work
Product: [Fedora] Fedora Reporter: Matthias Summer <matthias>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: bcl, dennis, fedora, gerd, mads, negativo17, pjones, robinlee.sysu
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-09 02:39:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthias Summer 2014-01-20 21:20:00 UTC
Description of problem:

Setting the parameter GRUB_DISABLE_RECOVERY in the /etc/default/grub from false to true doesn't remove the rescue entry from the grub2 menu.

Version-Release number of selected component (if applicable):
grub2-2.00-25.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. /etc/default/grub change GRUB_DISABLE_RECOVERY=false to GRUB_DISABLE_RECOVERY=true
2. grub2-mkconfig -o /boot/grub2/grub.cfg
3. grub2-install /dev/sda
4. reboot

Actual results:
The rescue entry is visible.

Expected results:
The rescue entry should not be in the grub2-menu

Comment 1 Simone Caronni 2014-06-16 21:16:41 UTC
Any chance to see this fixed?

Comment 2 Gerd v. Egidy 2014-06-25 14:58:45 UTC
I can reproduce this too, very annoying.

Comment 3 Robin Lee 2014-12-09 02:39:59 UTC
You should remove 'dracut-config-rescue' to disable rescue entry generation. GRUB_DISABLE_RECOVERY does not control this behavior.